= Changelog archive =

QA Assistants
This is an archive of older changelog entries. Most recent entries are maintained in readme.txt

= 4.9.3.1 – 2025-07-30 =
* Fixed data aggregation anomaly affecting reports when specifying date ranges from 7/21 onwards.
* Improved PV limit handling to prevent incorrect data accumulation.
* Enhanced data processing logic for better accuracy in traffic and device statistics.

= 4.9.3.0 – 2025-08-04 =
* Fixed tracking_id parameter scope to properly restrict to QA Advisor pages only.
* Improved URL parameter handling to prevent unnecessary tracking on non-QA pages.
* Enhanced performance by optimizing script loading conditions.

= 4.9.0.0 – 2025-06-05 =
* Introduced QA Advisor (Beta) – a new generation of the plugin formerly known as QA Analytics.
* Added Brains, an assistive insight feature that suggests improvements in plain language.
* Improved UI, including a new advanced mode with full reports.
* This is a beta release. Please report any issues or feedback as we continue development.

= 4.1.2.1 =

* **Release Date:** November 1, 2024
* Fixed bugs on the welcome page

= 4.1.2.0 =

* **Release Date:** October 24, 2024
* Fixed various bugs, handled plugin security, and improved overall performance.
* Addressed minor issues and refined plugin functionality.

= 4.1.1.1 =

* **Release Date:** August 29, 2024
* Fixed a bug where the number of data measurements significantly decreased in some environments.

= 4.1.1.0 =

* **Release Date:** August 27, 2024
* **Improvements and Changes:**
  - Added a "Heatmap" link to the "Growing Landing Page" table.
  - Fixed bugs in menu displays for plugin-specific permissions.
  - Made various minor fixes and UI improvements.

= 4.1.0.0 =

* **Release Date:** July 11, 2024
* **New Features and Improvements:**
  - Added the option to set goals using "Link Click Event with Regular Expressions."
  - Made it possible to create QA Analytics-specific users, selectable as a WordPress user role.
* **Other Changes:**
  - Monthly page view measurement limit raised to 10,000.
  - Made various minor fixes and UI improvements.

= 4.0.1.1 =

* **Release Date:** April 26, 2024
* **Improvements and Changes:**
  - Fixing an issue where heatmap icons are not clickable under specific conditions.

= 4.0.1.0 =

* **Release Date:** April 26, 2024
* **Improvements and Changes:**
  - Basic PV limit has been set to 3,000PV.
  - Fixed a bug where the heatmap viewing page wouldn't open from the link in the report unless a goal was set.
  - Improved Google API integration to allow connection with both "URL prefix" and "domain."
  - Adjusted the start time for nightly cron jobs.
  - Made various minor fixes and UI improvements.

= 4.0.0.0 =

* **Release Date:** April 11, 2024
* **New Features and Improvements:**
  - Added support for cookie-less tracking.
  - Implemented the following specification changes:
    - Default PV limit has been set to 1,000PV.
    - Default targets for heatmaps and replay views are now set to all pages.
    - Looker Studio Connector is now accessible for free version users.
* **Other Changes:**
  - Made various minor fixes and improvements.


= 3.6.0.0 =

* Release Date - 20/02/2024
* 広告URLパラメータに対応
* レポート表（「セッションレコーディング」「行動」）のバグ修正
* ヒートマップ、リプレイビュー表示改善
* （PHP7.0以上）cronエラーキャッチを強化
* その他軽微な修正・改善

= 3.5.0.0 =

* Release Date - 14/11/2023
* 「参照元/メディア」表の改善修正
* 「新規ユーザー」判定の一部不具合を修正
* ヒートマップのタイトル検索でエンコード文字に対応
* 投稿一覧のQAアクセス数・QA直帰率を廃止
* その他軽微な修正・改善

= 3.4.2.0 =

* Release Date - 09/11/2023
* WP6.4環境下におけるライセンス認証の不具合修正

= 3.4.1.0 =

* Release Date - 12/09/2023
* 狭い表示幅に対応
* 各レポートの表のレイアウト崩れを修正
* ようこそ画面に環境チェック文を追加
* 自動データ処理時にWarning、Errorの出る可能性がある箇所を修正
* 「.donotbackup」ファイルを作成保持

= 3.4.0.0 =

* Release Date - 22/05/2023
* http通信がzip圧縮されたウェブサイトに対応
* Pluginインストール直後のメール通知の設定画面をわかりやすく
* 目標設定のバグ修正。見たいページを探すで、対象ページが１つだった場合のエラー修正。
* ホーム画面読み込み時の特定の場合に発生する読み込みエラーを修正
* alert-message.jsの不具合修正
* 翻訳漏れの修正
* HOME画面で目標のradioボタンを綺麗に並べるように画面修正
* ライセンス認証画面にて、メールアドレス入力欄のinput欄をemailに変更し入力ミス対策
* データ読み込み処理でphpバージョンアップ時にエラーがでる処理の対策

= 3.3.2.0 =

* Release Date - 06/03/2023
* 使用通信処理ファイルの切り替えを追加
* 目標設定で、データ未処理ページ指定の場合にメッセージウィンドウを表示

= 3.3.1.0 =

* Release Date - 20/01/2023
* 一部urlパラメーターの情報が取得できていない不具合を修正

= 3.3.0.2 =

* Release Date - 15/11/2022
* WordPress 6.1の環境にて、正常に動作しない不具合を修正

= 3.3.0.1 =

* Release Date - 24/10/2022
* SEO分析画面の編集リンク修正
* SEO分析画面にて、目標設定していないとエラーが出る不具合を修正

= 3.3.0.0 =

* Release Date - 20/10/2022
* ユーザーデータ生成時の通信処理を改善。負荷軽減
* WordPress管理画面メニューにSEO分析を追加
* グーグルサーチコンソールとの連携機能を実装

= 3.2.0.3 =

* Release Date - 01/09/2022
* 投稿数が多い場合のデータ処理を改善
* ヘルプ画面にサイト情報とサポート環境を表示
* 目標を「クリック」にするとき、設定できるページをイベント取得ページに限定
* WPアラートメール登録はどの画面でもできるよう修正
* WP投稿一覧の「QAアクセス数」表示の修正
* 設定画面ニュースレター管理ボタンの修正

= 3.2.0.2 =

* Release Date - 18/08/2022
* 目標設定の有無に関わらずダッシュボードのセッション数グラフを表示

= 3.2.0.1 =

* Release Date - 28/07/2022
* 軽微な修正（表タイトル行）

= 3.2.0.0 =

* Release Date - 28/07/2022
* 目標設定機能を作成
* WPシステムアラート（負荷通知メール）配信機能を作成
* 特定環境でデータが貯まらない問題に対応
* 一部情報の取得精度を向上

= 3.1.0.0 =

* Release Date - 04/07/2022
* WPダッシュボードにレポートを表示
* 「ホーム→ユーザーを探す」フォームでの検索に前方一致と完全一致に対応

= 3.0.1.0 =

* Release Date - 26/05/2022
* Gutenberg使用時、投稿画面下にページバージョン更新のメタボックスを表示
* ヒートマップ管理画面の表示仕様を一部変更。処理負荷軽減
* 一部データの取得仕様を変更
* 不具合修正

= 3.0.0.0 =

* Release Date - 17/05/2022
* プラグインの名称を「QA Analytics」に変更
* アナリティクス機能を強化
* アナリティクスデータのデフォルト保存期間を延長
* ヒートマップデータのデフォルト保存期間が短縮
* 管理画面のメニューを整理
* ヒートマップビューのデータ数表示を有効データ数に変更
* お友達紹介プランの廃止・新規参加申込み停止

= 2.1.1.5 =

* Release Date - 15/04/2022
* 特定の条件下で同じページのデータが複数に分割される可能性がある問題に対応

= 2.1.1.4 =

* Release Date - 01/04/2022
* プラグインの名称を「QA Analytics & Heatmap」に変更

= 2.1.1.3 =

* Release Date - 28/03/2022
* wp filesysytemの初期化失敗時に503レスポンスを返すように変更

= 2.1.1.2 =

* Release Date - 18/02/2022
* ホーム画面の有料プラン案内文の不具合修正

= 2.1.1.1 =

* Release Date - 15/02/2022
* 取得できない記事一覧の表にて、WP5.9で追加される投稿タイプやWPでデフォルトで生成される投稿タイプの除外対応

= 2.1.1.0 =

* Release Date - 15/02/2022
* ヒートマップ管理画面に取得できない記事一覧の表を追加
* クリックヒートマップ、クリックカウントマップの計算処理を高速化
* 不具合修正

= 2.1.0.1 =

* Release Date - 31/01/2022
* 一部文章の修正

= 2.1.0.0 =

* Release Date - 31/01/2022
* 滞在時間の精度を向上
* QAが適用されるページの読み込み速度を高速化
* ヒートマップ構築の仕様を変更
* アテンションマップの情報を細分化
* スクロールマップ表示時、マウスカーソル位置まで滞在した人数を左下に表示
* ヒートマップビューのクリックマップにて、position absolute または fixedが指定されている場合、背景色を青色に変更
* ヒートマップビューの上部メニューにヘルプを追加
* ヒートマップビューの上部チェック状況をcookieに保存する処理を追加
* 設定画面の「データ保存期間」の項目を選択不可に仕様変更
* 一部のサイトにて、QAの管理画面が開かない不具合の修正
* その他不具合の修正

= 2.0.7.3 =

* Release Date - 14/12/2021
* 行動記録対象ページの読み込み速度を向上

= 2.0.7.2 =

* Release Date - 26/11/2021
* メンテナンス中メッセージ文の加筆

= 2.0.7.1 =

* Release Date - 22/11/2021
* 翻訳文の追加

= 2.0.7.0 =

* Release Date - 08/11/2021
* ヒートマップ作成処理の高速化
* ヘルプの更新
* 不具合修正

= 2.0.6.0 =

* Release Date - 29/10/2021
* ヒートマップビューの表示精度を向上
* ヒートマップビューにて、スクロールマップ部分にマウスオーバーすると、その位置まで到達したユーザーの数を表示できる機能を追加
* ヒートマップビューを開く際のポップアップブロック対策
* 不具合修正

= 2.0.5.0 =

* Release Date - 07/10/2021
* データ蓄積処理の安定化
* 一部過去のリプレイデータが再生できない問題の対応
* CSVダウンロード機能をTSVダウンロード機能に切り替え
* デジタルの日にあわせたお知らせを追加

= 2.0.4.0 =

* Release Date - 14/09/2021
* ホーム画面の抽出機能に、抽出で見つかった数を大きく表示する機能を追加
* ホーム画面の抽出機能で、通信エラー発生時の表示を変更
* 不具合修正

= 2.0.3.0 =

* Release Date - 03/09/2021
* ヒートマップ管理画面にて、最新バージョンのみデータ数を取得するように仕様変更
* ヒートマップ管理画面にて、過去バージョンが選択された際、リアルタイムでデータ数をダウンロードするよう仕様変更
* ヒートマップ管理画面にて、2ヶ月以上前の過去データ閲覧に対応
* ホーム画面の抽出ヒートマップ一覧画面にて、ソートやフィルターの設定ができるよう対応

= 2.0.2.0 =

* Release Date - 27/08/2021
* 過去データを閲覧できない不具合に対応
* 過去データのCSVダウンロードに対応
* 全体推移→CSVダウンロード機能の仕様を変更

= 2.0.1.1 =

* Release Date - 27/08/2021
* 不具合修正

= 2.0.1.0 =

* Release Date - 25/08/2021
* ホーム画面から2ヶ月以上前の過去データを閲覧できるように対応

= 2.0.0.1 =

* Release Date - 17/08/2021
* 不具合修正

= 2.0.0.0 =

* Release Date - 17/08/2021
* 管理画面に「ホーム」メニューを追加
* 管理画面の「サイト統計情報」「リアルタイム」を廃止

= 1.2.1.0 =

* Release Date - 05/07/2021
* 一部集計処理の例外対応

= 1.2.0.0 =

* Release Date - 21/06/2021
* ヒートマップビュー、リプレイビューが表示できないサイトがある問題への対応

= 1.1.9.0 =

* Release Date - 15/06/2021
* サイト統計情報のプログレスバーの対応
* フリープランで運用している場合、サイト統計情報の表示期間に対する不具合対応

= 1.1.8.0 =

* Release Date - 17/05/2021
* ユーザーデータ作成時の精度向上

= 1.1.7.0 =

* Release Date - 30/04/2021
* セキュリティ強化
* 不具合修正

= 1.1.6.0 =

* Release Date - 26/04/2021
* ダッシュボードの名称をリアルタイムビューに変更
* QA Analyticsからのお知らせをリアルタイムビューページにも表示
* ユーザーデータ作成時の負荷軽減や精度の向上
* 不具合修正

= 1.1.5.0 =

* Release Date - 13/04/2021
* 大容量サイトでのサイト統計情報表示の対応
* ヒートマップ管理画面データ期間の表示仕様を変更
* 不具合修正

= 1.1.4.0 =

* Release Date - 01/04/2021
* データ取得時の精度向上
* 不具合修正

= 1.1.3.0 =

* Release Date - 24/03/2021
* 不具合修正

= 1.1.2.0 =

* Release Date - 15/03/2021
* サイト統計情報画面にリプレイ再生ボタンを追加

= 1.1.1.5 =

* Release Date - 11/03/2021
* 不具合修正

= 1.1.1.4 =

* Release Date - 05/03/2021
* 定時処理の更新

= 1.1.1.3 =

* Release Date - 01/03/2021
* 不具合修正

= 1.1.1.2 =

* Release Date - 26/02/2021
* 不具合修正

= 1.1.1.1 =

* Release Date - 24/02/2021
* 不具合修正

= 1.1.1.0 =

* Release Date - 24/02/2021
* 不具合修正

= 1.1.0.0 =

* Release Date - 12/02/2021
* サイト統計情報を実装

= 1.0.8.0 =

* Release Date - 10/02/2021
* QA 1周年キャンペーン対応
* 不具合修正

= 1.0.7.0 =

* Release Date - 03/02/2021
* 投稿一覧画面にアクセス数と直帰率の情報を追加
* 不具合修正

= 1.0.6.1 =

* Release Date - 31/01/2021
* 不具合修正

= 1.0.6.0 =

* Release Date - 25/01/2021
* リプレイ再生終了時に次の動画へ遷移するメニューを追加
* ヘルプページにデバッグ情報を記載
* 不具合修正

= 1.0.5.1 =

* Release Date - 13/01/2021
* 不具合修正

= 1.0.5.0 =

* Release Date - 12/01/2021
* リプレイ再生中にウインドウの最小化などを行った場合、再生を一時停止する機能を実装
* リプレイビューにていくつかのショートカットキーを実装
* 不具合修正

= 1.0.4.0 =

* Release Date - 25/12/2020
* リプレイビューにてシークバーを操作できる機能を実装
* リプレイビューにユーザーの情報を表示
* リプレイビューにて画面クリックで再生・停止を切り替える機能を実装
* リプレイ再生終了後にもう一度再生するボタンを実装

= 1.0.3.0 =

* Release Date - 17/12/2020
* リプレイビューにプレイリストを追加
* リプレイビューに一部エフェクトを追加
* ダッシュボードのフィルター機能を高速化

= 1.0.2.0 =

* Release Date - 09/12/2020
* 特定の環境にてリプレイビューを開く際に404が表示される不具合を修正
* リプレイビューの右ウインドウにスクロールバーを表示
* リプレイの精度を向上
* 不具合修正

= 1.0.1.1 =

* Release Date - 01/12/2020
* 特定の環境にてリプレイビューの背景が黒くなる不具合を修正

= 1.0.1.0 =

* Release Date - 30/11/2020
* ダッシュボードにフィルター機能を追加
* 不具合修正

= 1.0.0.1 =

* Release Date - 27/11/2020
* 特定の条件下でプラグインを有効化できない不具合を修正

= 1.0.0.0 =

* Release Date - 24/11/2020
* データ取得の仕様変更
* ユーザーが最初にアクセスしたページ以外もリプレイ再生できる機能を実装
* リプレイ画面にて解像度による動きの補正を実装
* 不具合修正

= 0.9.1.0 =

* Release Date - 16/11/2020
* プラグインを初めて有効化する際のロード時間を短縮

= 0.9.0.3 =

* Release Date - 04/11/2020
* 一部のリプレイが閲覧できない不具合を修正
* リプレイビューにて背景が黒くなる不具合を修正
* リプレイ再生終了後に継続的にスクロールする不具合を修正

= 0.9.0.2 =

* Release Date - 02/11/2020
* 不具合修正

= 0.9.0.0 =

* Release Date - 02/11/2020
* 動画再生機能の実装
* ダッシュボード、ヒートマップ管理画面のUIを調整
* ヒートマップ管理画面 タイトル下にページのスラッグを追加
* 不具合修正

= 0.8.3.2 =

* Release Date - 26/10/2020
* 特定の環境でスマートフォンのデータを取得できない不具合を修正

= 0.8.3.1 =

* Release Date - 15/10/2020
* 不具合修正

= 0.8.3.0 =

* Release Date - 15/10/2020
* 特定の環境で管理画面が正常に表示されない不具合を修正
* データ保存期間のデフォルト値を3から2に変更
* 一部のデータを軽量化

= 0.8.2.0 =

* Release Date - 10/10/2020
* 一定条件で紙吹雪がふる演出を実装
* 不具合修正

= 0.8.1.0 =

* Release Date - 05/10/2020
* ダッシュボードにて参照元がノーリファラーの場合、directと表示
* 管理画面、ヒートマップビューのUI変更
* セキュリティ強化

= 0.8.0.1 =

* Release Date - 28/09/2020
* 一部ファイルのロード仕様変更

= 0.8.0.0 =

* Release Date - 28/09/2020
* ヒートマップ管理画面のUI変更、高速化
* バージョン切替機能追加
* 不具合修正

= 0.7.3.0 =

* Release Date - 18/09/2020
* β版利用者に向けたチェック処理を追加

= 0.7.2.1 =

* Release Date - 04/09/2020
* 不具合修正

= 0.7.2.0 =

* Release Date - 04/09/2020
* データ数取得の仕様を変更
* ヒートマップビューを表示する仕様を変更

= 0.7.1.2 =

* Release Date - 02/09/2020
* cronの不具合を修正

= 0.7.1.1 =

* Release Date - 01/09/2020
* 一部ファイルの保存先を変更

= 0.7.1.0 =

* Release Date - 01/09/2020
* 一部ファイルの保存先を変更

= 0.7.0.2 =

* Release Date - 28/08/2020
* Fxied some bugs

= 0.7.0.0 =

* Release Date - 27/08/2020
* Add license management function.

= 0.6.0.0 =

* Release Date - 21/08/2020
* Fixed some bugs.

= 0.5.0.0 =

* Release Date - 17/07/2020
* 1st release